## ros-noetic-joy-teleop 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(joy_teleop)

find_package(catkin REQUIRED COMPONENTS)
catkin_package(
  CATKIN_DEPENDS actionlib)

catkin_install_python(PROGRAMS scripts/joy_teleop.py
                               scripts/incrementer_server.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

foreach(dir config launch)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

## ros-noetic-joy-teleop 0.4.0

=== debian/changelog ===
ros-noetic-joy-teleop (0.4.0-1buster) buster; urgency=high

  * Fix iteritems and dependency in python3
  * Bump CMake version to avoid CMP0048
  * Fix install of python scripts for Noetic
  * Python3 compatibility for noetic (#52 <https://github.com/ros-teleop/teleop_tools/issues/52>)
  * Contributors: Bence Magyar, Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Jun 2020 23:00:00 -0000

ros-noetic-joy-teleop (0.3.1-1buster) buster; urgency=high

  * fix python3 compatibility (#42 <https://github.com/ros-teleop/teleop_tools/issues/42>)
  * Contributors: Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-noetic-joy-teleop (0.3.0-1buster) buster; urgency=high

  * Fill in the timestamp of outgoing messages, if applicable.
  * add service example
  * Add option for persistent service, defaulted false
  * Contributors: AndyZe, Jeremie Deray, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-noetic-joy-teleop (0.2.6-1buster) buster; urgency=high

  * Support using buttons and axis in the same message
  * Contributors: Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-noetic-joy-teleop (0.2.5-1buster) buster; urgency=high

  * Remove duplicate examples, add list ones
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-joy-teleop (0.2.4-1buster) buster; urgency=high

  * Replace joy_teleop.fill_msg with genpy.message.fill_message_args
  * Contributors: Stephen Street

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.3-1buster) buster; urgency=high

  * Add hello publish to example
  * Rename to fix example launch file
  * Added example of feature to config file
  * Added message_value parameter to specify message content on topics
  * PEP8 style stuff
  * Fixes bug when keep asking for increments
    would make the goal position grow infinitely instead of be of maximum 'current joint position' + 'increment quantity'
  * Contributors: Bence Magyar, Sam Pfeiffer, SomeshDaga

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-noetic-joy-teleop (0.2.2-1buster) buster; urgency=high

  * Add install rules for example files
  * gracefully handle missing joy axes
  * Contributors: Bence Magyar, Kopias Peter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.1-1buster) buster; urgency=high

  * Add support for services
    it is now possible to asynchronously send service requests on button presses
  * Adds queue_size keyword
  * Contributors: Bence Magyar, Nils Berg, Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.0-1buster) buster; urgency=high

  * Add example for incrementer
  * Update package.xmls
  * Add incrementer_server
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-noetic-joy-teleop (0.1.2-1buster) buster; urgency=high

  * joy_teleop: fix minor typo
  * Contributors: G.A. vd. Hoorn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-noetic-joy-teleop (0.1.1-1buster) buster; urgency=high

  * Change maintainer
  * checks for index out of bounds in buttons list
    buttons is a list, not a dict
    Filter out buttons not available
  * Check for b in buttons
  * Check for IndexError
  * joy_teleop: add action server auto-refresh
  * Move everything to joy_teleop subfolder
  * Contributors: Bence Magyar, Enrique Fernández Perdomo, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-noetic-joy-teleop (0.1.0-1buster) buster; urgency=high

  * joy_teleop: nice, generic joystick control for ROS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Nov 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-joy-teleop
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-joy-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-rospy, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-teleop-tools-msgs
Description: A (to be) generic joystick interface to control a robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-joy-teleop//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-joy-teleop 0.5.0

=== debian/changelog ===
ros-noetic-joy-teleop (0.5.0-1focal) focal; urgency=high

  * When allow_multiple_commands is True, Use AND operation with match_command instead of OR operation (#82 <https://github.com/ros-teleop/teleop_tools/issues/82>)
    * Use AND operation with match_command instead of OR operation
    * added allow_multiple_commands parameter to have some control over the joystick combinations
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 May 2023 23:00:00 -0000

ros-noetic-joy-teleop (0.4.1-1focal) focal; urgency=high

  * Fix missing exec_depend rosservice
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-noetic-joy-teleop (0.4.0-1focal) focal; urgency=high

  * Fix iteritems and dependency in python3
  * Bump CMake version to avoid CMP0048
  * Fix install of python scripts for Noetic
  * Python3 compatibility for noetic (#52 <https://github.com/ros-teleop/teleop_tools/issues/52>)
  * Contributors: Bence Magyar, Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Jun 2020 23:00:00 -0000

ros-noetic-joy-teleop (0.3.1-1focal) focal; urgency=high

  * fix python3 compatibility (#42 <https://github.com/ros-teleop/teleop_tools/issues/42>)
  * Contributors: Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-noetic-joy-teleop (0.3.0-1focal) focal; urgency=high

  * Fill in the timestamp of outgoing messages, if applicable.
  * add service example
  * Add option for persistent service, defaulted false
  * Contributors: AndyZe, Jeremie Deray, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-noetic-joy-teleop (0.2.6-1focal) focal; urgency=high

  * Support using buttons and axis in the same message
  * Contributors: Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-noetic-joy-teleop (0.2.5-1focal) focal; urgency=high

  * Remove duplicate examples, add list ones
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-joy-teleop (0.2.4-1focal) focal; urgency=high

  * Replace joy_teleop.fill_msg with genpy.message.fill_message_args
  * Contributors: Stephen Street

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.3-1focal) focal; urgency=high

  * Add hello publish to example
  * Rename to fix example launch file
  * Added example of feature to config file
  * Added message_value parameter to specify message content on topics
  * PEP8 style stuff
  * Fixes bug when keep asking for increments
    would make the goal position grow infinitely instead of be of maximum 'current joint position' + 'increment quantity'
  * Contributors: Bence Magyar, Sam Pfeiffer, SomeshDaga

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-noetic-joy-teleop (0.2.2-1focal) focal; urgency=high

  * Add install rules for example files
  * gracefully handle missing joy axes
  * Contributors: Bence Magyar, Kopias Peter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.1-1focal) focal; urgency=high

  * Add support for services
    it is now possible to asynchronously send service requests on button presses
  * Adds queue_size keyword
  * Contributors: Bence Magyar, Nils Berg, Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-noetic-joy-teleop (0.2.0-1focal) focal; urgency=high

  * Add example for incrementer
  * Update package.xmls
  * Add incrementer_server
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-noetic-joy-teleop (0.1.2-1focal) focal; urgency=high

  * joy_teleop: fix minor typo
  * Contributors: G.A. vd. Hoorn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-noetic-joy-teleop (0.1.1-1focal) focal; urgency=high

  * Change maintainer
  * checks for index out of bounds in buttons list
    buttons is a list, not a dict
    Filter out buttons not available
  * Check for b in buttons
  * Check for IndexError
  * joy_teleop: add action server auto-refresh
  * Move everything to joy_teleop subfolder
  * Contributors: Bence Magyar, Enrique Fernández Perdomo, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-noetic-joy-teleop (0.1.0-1focal) focal; urgency=high

  * joy_teleop: nice, generic joystick control for ROS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Nov 2013 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-joy-teleop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-rospy, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-teleop-tools-msgs
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-rospy, ros-noetic-rosservice, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-teleop-tools-msgs
 Description: A (to be) generic joystick interface to control a robot

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
